FILE-ALLOCATE

#### Search Results

Search

# FILE-ALLOCATE

File | 9
Statement | `PROCESS`
Task | Enables the allocation of files from a Natural session.

## Fields

Dictionary Field Name | F/L | Mu | DE | Remarks
--- | --- | --- | --- | ---
`ERROR-CODE` | N3 |  |  |
`ERROR-TEXT` | A58 |  |  |
`NODE` | N5 |  | D |
`NODE-NAME` | A16 |  | D |
`SYSTEM-MESSAGE-CODE` | A10 |  |  |
`DSNAME` | A54 |  | D | Required.
`VOLSER` | A6 |  | D | `VOLSER` or `UNIT` is required.
`DSORG` | A4 |  | D |
`UNIT` | A8 |  | D | `VOLSER` or `UNIT` is required.
`EXPIRATION-DATE` | A8 |  | D |
`EXPIRATION-DATX` | D |  | D |
`RECFM` | A4 |  | D | Required.
`LRECL` | N5 |  | D | Required.
`BLKSIZE` | N5 |  | D | Required.
`ALLOCATION-TYPE` | A3 |  | D | Required.
`PRIMARY-ALLOCATION` | N10 |  | D | Required.
`SECONDARY-ALLOCATION` | N10 |  | D | Required.
`DISP` | A3 |  | D |
`DIRECTORY-BLOCKS` | N7 |  | D | Required for PO-type datasets (see `DSORG` field).
`CATALOG` | A3 |  | D |
`RLSE` | A3 |  | D |
`CONTIG` | A3 |  | D |
`ROUND` | A3 |  | D |
`EXTENDED-TEXT` | A250 | M/3 | D |
`VOLUME-COUNT` | N2 |  | D | Required if writing multiple reels
`VOLUME-SEQUENCE` | N2 |  | D |
`DENSITY` | A1 |  | D |
`LABEL` | A4 |  | D |
`DDNAME` | A8 |  | D |
`DSNTYPE` | A8 |  | D |
`DSNTYPE-VERSION` | N1 |  | D |
`EATTR` | A3 |  | D |
`FREE` | A3 |  | D |
`SMS-STORAGE-CLASS` | A8 |  | D |
`SMS-MANAGEMENT-CLASS` | A8 |  | D |
`SMS-DATA-CLASS` | A8 |  | D |
`MAXGENS` | N9 |  |  |

## Relevant Error Codes

Code | Text
--- | ---
530 | Access denied by Security Facility.
701 | `DSNAME` missing.
710 | Allocation failed. Reason=`TAPES NOT ALLOWED`.

## Field Descriptions

Field Name | Type/Length
--- | ---
`ALLOCATION-TYPE` | (A4)

Space allocation type. Possible values:

`BLK` | Block.
`CYL` | Cylinder.
`TRK` | Tracks (default).

Field Name | Type/Length
--- | ---
BLKSIZE | (N5)

Field Name | Type/Length
--- | ---
`CATALOG` | (A3)

Specifies whether and how the dataset is cataloged. Possible options:

Option | Explanation
--- | ---
`NO` | Default. Dataset is not cataloged.
`YES` | Dataset is cataloged. If you specify generation dataset name (`DATASET(+1)`), the dataset is always cataloged. The dataset must already have been cataloged (see the view `CATALOG-UPDATE`, especially the field `NUMBER-OF-GENERATIONS`).

Field Name | Type/Length
--- | ---
`CONTIG` | (A3)

Specifies contiguous allocated space. Possible options:

Option | Explanation
--- | ---
`NO` | Default. Space is not allocated contiguously.
`YES` | Space is allocated contiguously.

Field Name | Type/Length
--- | ---
`CREATE-JOBNAME` | (A8)

Job name used to create the data set described by its format 8 DSCB.

Field Name | Type/Length
--- | ---
`CREATE-STEPNAME` | (A8)

Step name used to create the data set described by its format 8 DSCB.

Field Name | Type/Length
--- | ---
`DDNAME` | (A8)

Internal DD name used by the Entire System Server. It must be specified on calls to `READ-FILE` and `WRITE-FILE` when allocating tape units.

Field Name | Type/Length
--- | ---
`DSNTYPE` | (A8)

The type of data set to be allocated. Possible values:

OptionValue | Explanation
--- | ---
`BASIC` | Basic format sequential data set (default).
`LARGE` | Large format sequential data set.
`LIBRARY` | Partitioned data set extended (PDSE).

Field Name | Type/Length
--- | ---
`DSNTYPE-VERSION` | (N1)

The data set version number for a library (PDSE). Possible values are 1 or 2.

Field Name | Type/Length
--- | ---
`DENSITY` | (A1)

Tape density. Possible options:

Option | Explanation
--- | ---
3 | 1600 BPI
4 | 6250 BPI

Field Name | Type/Length
--- | ---
`DIRECTORY-BLOCKS` | (N7)

Number of directory blocks for PDS.

Field Name | Type/Length
--- | ---
`DISP` | (A3)

Disposition of the dataset. Possible values:

Value | Explanation
--- | ---
`NEW` | Allocate new dataset.

Field Name | Type/Length
--- | ---
`DSNAME` | (A54)

Fully qualified dataset name.

Field Name | Type/Length
--- | ---
`DSORG` | (A4)

Dataset organization. Possible options:

`PO` | Partitioned dataset (PDS).
`PS` | Default. Sequential dataset.

Field Name | Type/Length
--- | ---
`EATTR` | (A3)

Extended attributes. Possible values:

Value | Explanation
--- | ---
`OPT` | Data set can support extended attributes (format 8 and 9 DSCBs).
`NO` | Data set does not support extended attributes (default).

Field Name | Type/Length
--- | ---
`EXPIRATION-DATE` | (A8)

Expiration date in the format `YYDDD` or `YYYYDDD`. If `EXPIRATION-DATE` is specified with format `YYDDD`, it will be converted to the `YYYY/DDD` format using a fixed window from 1964 to 2063.

There is no default (i.e., no expiration date).

Field Name | Type/Length
--- | ---
`EXPIRATION-DATX` | (D)

Expiration date in internal format.

Field Name | Type/Length
--- | ---
`EXTENDED-TEXT` | (A250)

Text lines (up to 3) containing error description.

Field Name | Type/Length
--- | ---
`FREE` | (A3)

Specify `YES` to free the allocation for DDNAME.

Field Name | Type/Length
--- | ---
`LABEL` | (A4)

Type of label processing.

Field Name | Type/Length
--- | ---
`LRECL` | (N5)

Logical record length. The default is 0.

Field Name | Type/Length
--- | ---
`MAXGENS` | (N9)

Maximum number of member generations for a PDSE version 2.

Possible values are 0 (no generations) or a value between 1 and the upper limit specified as MAXGENS_LIMIT in parmlib member IGDSMSxx.

Field Name | Type/Length
--- | ---
`PRIMARY-ALLOCATION` | (N10)

- Primary space allocation (default is 0).

Field Name | Type/Length
--- | ---
`RECFM` | (A4)

Record format.

The default is `FB`.

Field Name | Type/Length
--- | ---
`RLSE` | (A3)

Specifies whether unused space is released after the dataset is closed. Possible options:

Option | Explanation
--- | ---
`NO` | Default. Unused space is not released.
`YES` | Unused space is released after dataset is closed.

Field Name | Type/Length
--- | ---
`ROUND` | (A3)

Specifies whether one or more whole cylinders are to be allocated. Possible options:

Option | Explanation
--- | ---
`NO` | Default. Allocated space need not be whole cylinders.
`YES` | Allocate one or more whole cylinders.

Field Name | Type/Length
--- | ---
`SECONDARY-ALLOCATION` | (N10)

Secondary space allocation (default is 0).

Field Name | Type/Length
--- | ---
`SMS-DATA-CLASS` | (A8)

Data class of SMS managed file.

Field Name | Type/Length
--- | ---
`SMS-MANAGEMENT-CLASS` | (A8)

Management class of SMS managed file.

Field Name | Type/Length
--- | ---
`SMS-STORAGE-CLASS` | (A8)

Storage class of SMS managed file.

Field Name | Type/Length
--- | ---
`UNIT` | (A8)

Generic unit name on which the dataset is to be allocated, for example, `SYSDA`.

Field Name | Type/Length
--- | ---
`VOLSER` | (A6)

Volume serial number where the file is to be located.

Field Name | Type/Length
--- | ---
`VOLUME-COUNT` | (N2)

Maximum number of output volumes to be allocated. Required if writing multiple reels.

Field Name | Type/Length
--- | ---
`VOLUME-SEQUENCE` | (N2)

When a tape dataset is cataloged, you can supply a value of greater than 1 if processing is not the start with the first reel.

### On this page

- Fields
- Relevant Error Codes
- Field Descriptions